> ## Documentation Index
> Fetch the complete documentation index at: https://help.visualcare.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Client notes

> Retrieve client notes including categories, assignments, follow-ups, and task status

### GET /notes-client

Retrieves client notes.

<Note>`ClientId` must be specified unless you're using the `page` parameter.</Note>

**Example:** `GET /notes-client?page=0&limit=200&fromDate=YYYY-MM-DD`

**Parameters:**

| Parameter    | Default | Description                                            |
| ------------ | ------- | ------------------------------------------------------ |
| `limit`      | 200     | Items per page                                         |
| `page`       | 0       | Pagination offset                                      |
| `fromDate`   | -       | Notes with timestamp >= value. Format: `YYYY-MM-DD`    |
| `toDate`     | -       | Notes with timestamp \<= value. Format: `YYYY-MM-DD`   |
| `assignedTo` | -       | Filter by assigned email address                       |
| `closed`     | -       | If `1`, returns closed items                           |
| `taskClosed` | -       | If `1`, returns items with closed tasks                |
| `ClientId`   | -       | **Required** unless `page` is set. Filter by client ID |

**Response fields:**

| Field              | Type    | Notes                   |
| ------------------ | ------- | ----------------------- |
| `NoteId`           | integer |                         |
| `CategoryId`       | integer |                         |
| `NoteType`         | string  | e.g. `"APPNOTEGENERAL"` |
| `Note`             | string  |                         |
| `Reason`           | string  |                         |
| `Comment`          | string  |                         |
| `Action`           | string  |                         |
| `Outcome`          | string  |                         |
| `Response`         | string  |                         |
| `Location`         | string  |                         |
| `Occurrence`       | string  |                         |
| `Performance`      | string  |                         |
| `Timestamp`        | string  | Datetime                |
| `NoteDate`         | string  | Date                    |
| `NotifiedDate`     | string  | Date                    |
| `AlertDate`        | string  | Date                    |
| `CloseDate`        | string  | Date                    |
| `TaskClosedDate`   | string  | Date                    |
| `AssignedTo`       | string  | Email                   |
| `AssignedToSecond` | string  | Email                   |
| `Closed`           | integer | 0/1                     |
| `TaskClosed`       | integer | 0/1                     |
| `RequiresFollowUp` | integer | 0/1                     |
| `VisibleClientApp` | integer | 0/1                     |
| `VisibleWorkerApp` | integer | 0/1                     |
| `CreatedBy`        | string  |                         |
| `_ReferringId_1`   | integer |                         |
| `_ReferringId_2`   | integer |                         |
| `_ReferringId_3`   | integer |                         |
